[wiki目录](./README.md)

# Apollo 项目介绍

## 写在前面
试问最好的编程语言是哪个？稍有经验的人会回答：没有最好的编程语言，只有最适合的编程语言。这句话陈述的是一个事实。所以，当我们投奔某一个新的编程语言进行学习的时候，很可能有盲目冲动的情绪在里面，而我们享受的大多是学习新鲜事物带给我们的成就感。

不过，虽然可能并没有立竿见影的实际用处，但是学习新东西真的好开心呀！

在 2020 年的春节发生了很多故事，我希望 apollo 可以成为某些人记忆里其中的一件。

## 项目初衷

### 宏观面

目前市面上 go 语言的学习，要么是系统但冗长的官方文档，要么是有趣生动但一家之言式的技术博客。而在平日的工作过程中，发现很多同学对 go 语言的使用往往既不系统又不有趣生动，太急人了有没有。作为 go 语言的拥护者，我个人太不满意这种现状了。前端时间做过《[原汁原味 Go 语言学习](https://jingwei.link)》的系列课程（博客+视频的形式），偏理论一些；这次利用 2020 年的春节假日重构出大家现在看到的 apollo 项目，则偏实践一些。

动手实践是学习知识最好的方式。在 go 语言的知识领域，我们可以在电商那里买到各种各样的书籍，也可以在 github 上找到成千上万的开源库（kubernetes、docker、etcd 等都是 go 原生的项目）；但是前者偏理论，后者可远观不可亵玩，学习效果都不尽人意。apollo 项目以一个简单的 论坛系统 为切入点，融入了 go 语言实践中的一些设计点以及多个常见开源库的使用，并在此基础上保持了代码的整洁。大家可以下载源码后根据手册快速在本地启动并调试，如果当前的工作涉及到 go web 开发，我相信肯定能在 apollo 中汲取到一些收获。

曾经有一段时间使用 go 语言进行项目开发，并和当时的其他几位同事根据 RubyOnRails 的开发经验整理出一套 go 语言的开发模板（由于当时经验尚浅，里面的一些设计有比较多优化的空间）。如果当年一起共事的同学看到 Apollo 项目，可能会发现里面有一些熟悉的影子；当然，如果有熟悉 RubyOnRails 的朋友，应该也能看到一些熟悉的影子。假如 Apollo 项目有哪里不小心侵权了，可以联系我进行修改。

### 我个人的成长

就我个人的经验来看，做囫囵的项目最能考验一个人的技术造诣，也最能使一个人成长。在 apollo 项目过程中无疑我会获得我自己的成长。

## 使用到的 go 的第三方库

包含 web 框架（gin）、配置（viper)、数据迁移（gorm）、日志（uber/zap）等，可以作为学习 Go 语言的资料进行学习。

* web——[gin](https://github.com/gin-gonic/gin)
* ORM——[gorm](https://github.com/jinzhu/gorm)
* 日志——[uber/zap](https://github.com/uber-go/zap)/[sugar](https://github.com/chalvern/sugar)
* 配置——[viper](https://github.com/spf13/viper)
* 其他可参考 [go.mod](../go.mod) 文件




